package com.example.restcalc2

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.text.Editable
import android.text.TextWatcher
import android.view.ViewGroup
import android.widget.Button
import android.widget.EditText
import android.widget.TextView
import android.widget.Toast
import java.security.acl.Group

class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        val etBillAmount = findViewById<EditText>(R.id.etBillAmount)
        val etTipPercentage = findViewById<EditText>(R.id.etTipPercentage)
        val tvTipAmount = findViewById<TextView>(R.id.tvTipAmount)
        val tvTotalAmount = findViewById<TextView>(R.id.tvTotalAmount)
        val btnCalc = findViewById<Button>(R.id.btnCalc)
        val clCalc = findViewById<ViewGroup>(R.id.clCalc)

        var bill: Double
        var tip: Double
        var total: Double

        btnCalc.setOnClickListener{
            bill = etBillAmount.text.toString().toDouble()
            tip = etTipPercentage.text.toString().toDouble()/100
            total = bill*(1+tip);
            //Toast.makeText(this,total.toString(),Toast.LENGTH_SHORT).show()
            tvTipAmount.text = String.format("Tip Amount: \t\t$%.2f",tip*bill)
            tvTotalAmount.text = String.format("Total Amount: \t$%.2f",total)
        }

        etTipPercentage.addTextChangedListener(object : TextWatcher {
            override fun afterTextChanged(s: Editable) {}

            override fun beforeTextChanged(s: CharSequence, start: Int, count: Int, after: Int) {}

            override fun onTextChanged(s: CharSequence, start: Int, before: Int, count: Int) {
                tvTipAmount.text = "Tip Amount: ----------"
                tvTotalAmount.text = "Total Amount: ----------"
            }
        })

        etBillAmount.addTextChangedListener(object : TextWatcher {
            override fun afterTextChanged(s: Editable) {}

            override fun beforeTextChanged(s: CharSequence, start: Int, count: Int, after: Int) {}

            override fun onTextChanged(s: CharSequence, start: Int, before: Int, count: Int) {
                tvTipAmount.text = "Tip Amount: ----------"
                tvTotalAmount.text = "Total Amount: ----------"
            }
        })

    }//end onCreate
}//end MainActivity class

